Package twisted :: Package protocols :: Module msn :: Class MSNContact

[show private | hide private]
[frames | no frames]

## Class MSNContact

This class represents a contact (user).

Method Summary
| `__init__(self, userHandle, screenName, listType, group, status)`
| ``setPhone`(self, phoneType, value)` set phone numbers/values for this specific user ..

Instance Variable Summary
int if contact is in a group, None otherwise. | `group` - The group ID.
| `hasPager` - Whether or not this user has a mobile pager (true=yes, false=no)
str if known, otherwise None. | `homePhone` - The contact's home phone number.
str if known, otherwise None. | `mobilePhone` - The contact's mobile phone number.
| `screenName` - The contact's screen name.
str if contact's status is known, None otherwise. | `status` - The contact's status code.
| `userHandle` - The contact's user handle (passport).
str if known, otherwise None. | `workPhone` - The contact's work phone number.

Method Details

### setPhone(self, phoneType, value)

set phone numbers/values for this specific user .. for phoneType check the *_PHONE constants and HAS_PAGER

Instance Variable Details

### group

The group ID.

  Type:
    int if contact is in a group, None otherwise.

### hasPager

Whether or not this user has a mobile pager (true=yes, false=no)

### homePhone

The contact's home phone number.

  Type:
    str if known, otherwise None.

### mobilePhone

The contact's mobile phone number.

  Type:
    str if known, otherwise None.

### screenName

The contact's screen name.

### status

The contact's status code.

  Type:
    str if contact's status is known, None otherwise.

### userHandle

The contact's user handle (passport).

### workPhone

The contact's work phone number.

  Type:
    str if known, otherwise None.

Generated by Epydoc 1.1 on Thu May 8 13:18:50 2003 | http://epydoc.sf.net